Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QLayout.SizeConstraint

    java.lang.Object
      java.lang.Enum<QLayout.SizeConstraint>
          com.trolltech.qt.gui.QLayout.SizeConstraint

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QLayout.SizeConstraint>

Enclosing class:
  QLayout

    public static enum QLayout.SizeConstraint

extends java.lang.Enum<QLayout.SizeConstraint>
implements QtEnumerator

The possible values are.

Constant | Value | Description
--- | --- | ---
`SetDefaultConstraint` | `0` | The main widget's minimum size is set to `minimumSize`, unless the widget already has a minimum size.
`SetFixedSize` | `3` | The main widget's size is set to `sizeHint`; it cannot be resized at all.
`SetMinimumSize` | `2` | The main widget's minimum size is set to `minimumSize`; it cannot be smaller.
`SetMaximumSize` | `4` | The main widget's maximum size is set to `maximumSize`; it cannot be larger.
`SetMinAndMaxSize` | `5` | The main widget's minimum size is set to `minimumSize` and its maximum size is set to `maximumSize`.
`SetNoConstraint` | `1` | The widget is not constrained.

See Also:
  `setSizeConstraint`

Enum Constant Summary
`SetDefaultConstraint` The main widget's minimum size is set to `minimumSize`, unless the widget already has a minimum size.
`SetFixedSize` The main widget's size is set to `sizeHint`; it cannot be resized at all.
`SetMaximumSize` The main widget's maximum size is set to `maximumSize`; it cannot be larger.
`SetMinAndMaxSize` The main widget's minimum size is set to `minimumSize` and its maximum size is set to `maximumSize`.
`SetMinimumSize` The main widget's minimum size is set to `minimumSize`; it cannot be smaller.
`SetNoConstraint` The widget is not constrained.

Method Summary
`static QLayout.SizeConstraint` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLayout.SizeConstraint` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QLayout.SizeConstraint[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SetDefaultConstraint

    public static final QLayout.SizeConstraint SetDefaultConstraint

  The main widget's minimum size is set to `minimumSize`, unless the widget already has a minimum size.

### SetNoConstraint

    public static final QLayout.SizeConstraint SetNoConstraint

  The widget is not constrained.

### SetMinimumSize

    public static final QLayout.SizeConstraint SetMinimumSize

  The main widget's minimum size is set to `minimumSize`; it cannot be smaller.

### SetFixedSize

    public static final QLayout.SizeConstraint SetFixedSize

  The main widget's size is set to `sizeHint`; it cannot be resized at all.

### SetMaximumSize

    public static final QLayout.SizeConstraint SetMaximumSize

  The main widget's maximum size is set to `maximumSize`; it cannot be larger.

### SetMinAndMaxSize

    public static final QLayout.SizeConstraint SetMinAndMaxSize

  The main widget's minimum size is set to `minimumSize` and its maximum size is set to `maximumSize`.

Method Detail

### values

    public static final QLayout.SizeConstraint[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QLayout.SizeConstraint c : QLayout.SizeConstraint.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QLayout.SizeConstraint valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLayout.SizeConstraint resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD